#
# risc - Ruby Internet Service Checker
#
# written by Taku YASUI
# Copyright (C) Taku YASUI <tach@debian.or.jp>

require 'syslog'
require 'risc/log'

class Risc
  class Log
    def initialize(*options)
      if ( options.compact == [] )
        Syslog.open('risc')
      else
        Syslog.open(*options)
      end
    end
    def write_err(*msg)
      Syslog.log(Syslog::LOG_ERR, *msg)
    end
    def write_warn(*msg)
      Syslog.log(Syslog::LOG_WARNING, *msg)
    end
    def write_info(*msg)
      Syslog.log(Syslog::LOG_INFO, *msg)
    end
    alias :write :write_info
    def close
    end
  end
end
