#
# risc - Ruby Internet Service Checker
#
# written by Taku YASUI
# Copyright (C) Taku YASUI <tach@debian.or.jp>

require 'pstore'
require 'risc/store'

class Risc
  class Store

    def init_store(filename='risc.dat')
      @db = PStore.new(filename)
    end

    def set_value(hash, host, port=nil, proto='tcp')
      root = host
      root = "#{host}:#{proto}:#{port}" if ( port )
      @db.transaction do
        @db[root] = hash
      end
    end

    def get_value(host=nil, port=nil, proto='tcp')
      ret = nil
      if ( host && port )
        @db.transaction do
	  ret = @db["#{host}:#{proto}:#{port}"]
	end
      elsif ( host )
        @db.transaction do
	  ret = @db[host]
	end
      else
        ret = {}
        @db.transaction do
          @db.roots.each do |root|
	    ret[root] = @db[root]
	  end
        end
      end
      return ret
    end

  end
end
